org.apache.ignite.internal.binary.streams

## Class BinaryMemoryAllocatorChunk

- java.lang.Object
- - org.apache.ignite.internal.binary.streams.BinaryMemoryAllocatorChunk

    public class BinaryMemoryAllocatorChunk
    extends Object

Memory allocator chunk.

### Constructor Summary

Constructors
Constructor and Description
`BinaryMemoryAllocatorChunk()`

### Method Summary

Methods
`byte[]` `allocate(int size)` Allocate.
`boolean` `isAcquired()`
`byte[]` `reallocate(byte[] data, int size)` Reallocate.
`void` `release(byte[] data, int maxMsgSize)` Shrinks array size if needed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryMemoryAllocatorChunk

    public BinaryMemoryAllocatorChunk()

### Method Detail

#### allocate

    public byte[] allocate(int size)

Allocate.

Parameters:
  `size` - Desired size.
Returns:
  Data.

#### reallocate

    public byte[] reallocate(byte[] data,
                    int size)

Reallocate.

Parameters:
  `data` - Old data.
  `size` - Size.
Returns:
  New data.

#### release

    public void release(byte[] data,
               int maxMsgSize)

Shrinks array size if needed.

#### isAcquired

    public boolean isAcquired()

Returns:
  `True` if acquired.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016